zope.interface (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0
  * d/control:
    - Update the Maintainer field
    - Sets Rules-Requires-Root to no
    - Drop Testsuite field
    - Replace old priority extra by optional for the debug package
    - Drop Pre-Depends: dpkg for the -dbg package.
  * Switch to debhelper-compat
  * d/copyright:
    - Drop osolete Files-excluded field.
  * d/watch: use https for pypi.debian.net
  * d/rules:
    - Set hardening options
  * Add a d/gbp.conf

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Sep 2020 23:16:12 +0200

zope.interface (4.7.1-2) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #938909

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 10:23:43 -0400

zope.interface (4.7.1-1) unstable; urgency=medium

  * QA upload.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Feb 2020 12:27:19 +0100

zope.interface (4.6.0-4) unstable; urgency=medium

  * QA upload.
  * Use python2 / python2-dbg in the autopkg tests.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2020 14:59:22 +0100

zope.interface (4.6.0-3) unstable; urgency=medium

  * QA upload.
  * python-zope.interface-dbg: Depend on python2-dbg.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 16:41:01 +0100

zope.interface (4.6.0-2) unstable; urgency=medium

  * QA upload.
  * Drop build-dependency on removed python-zope.event. Downgrades: #938909.
  * Disable testsuite for python 2, it needs python-zope.event.
    (keep testsuite enabled for python 3)
  * Fix clean target.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 07 Dec 2019 07:00:43 +0000

zope.interface (4.6.0-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869464.
  * New upstream version.
  * Fix lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 13:09:40 +0200

zope.interface (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 25 Oct 2016 15:58:38 -0400

zope.interface (4.2.0-2) unstable; urgency=medium

  * No change rebuild for new dh-python.

 -- Barry Warsaw <barry@debian.org>  Wed, 03 Aug 2016 11:35:56 -0400

zope.interface (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Remove version for python-all-dev:any build dependency.
    - Bump Standards-Version to 3.9.8 with no other changes necessary.
    - XS-Testsuite -> Testsuite.

 -- Barry Warsaw <barry@debian.org>  Wed, 13 Jul 2016 17:10:37 -0400

zope.interface (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Fix python-zope.interface long description. (Closes: #795245)

 -- Barry Warsaw <barry@debian.org>  Tue, 27 Oct 2015 11:31:12 -0400

zope.interface (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump Standards-Version with no other changes necessary.
    - wrap-and-sort
  * d/rules: Restore cross building rules.
  * d/tests:
    - Add DEP-8 tests for python{,3}-dbg interpreter.
    - Ensure that the C extension module can be imported in all interpreters.
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 08 Jul 2015 19:42:22 -0400

zope.interface (4.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use absolute path in call to symlink_to_dir to fix upgrades from squeeze
    to wheezy to jessie. (Closes: #768286)

 -- Ivo De Decker <ivodd@debian.org>  Sun, 28 Dec 2014 13:25:21 +0100

zope.interface (4.1.1-3) unstable; urgency=medium

  * Added d/python{,3}-zope.interface-dbg.maintscript so that the switch
    from symlinks to directories in /usr/share/doc is done correctly.
    Removed d/python-zope.interface-dbg.postinst which was an incomplete
    way of doing this. (Closes: #768286)
  * d/control: Added Pre-Depends to -dbg packages for .maintscript to
    work properly.

 -- Barry Warsaw <barry@debian.org>  Mon, 17 Nov 2014 13:48:08 -0500

zope.interface (4.1.1-2) unstable; urgency=medium

  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 14:34:48 -0400

zope.interface (4.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.  Closes: #740555
  * d/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Tweaked long descriptions.
    - wrap-and-sort
  * d/rules:
    - Switch to --buildsystem=pybuild and simplify.
  * d/compat: Bump to version 9.
  * d/copyright: Added Files-Excluded header to prune pre-built Sphinx
    artifacts in docs/_build from the original tarball.

 -- Barry Warsaw <barry@debian.org>  Tue, 24 Jun 2014 17:47:24 -0400

zope.interface (4.0.5-1) unstable; urgency=low

  * Team upload.

  [ Gediminas Paulauskas ]
  * New upstream release. (Closes: #691509)
  * debian/control:
    - Add Build-Depends on dpkg-dev (>= 1.16.1~) for multiarch support
    - Bump Standards-Version to 3.9.4
    - Update supported Python versions
    - remove python3-zope.fixers from Build-Depends
    - enable autopkgtest (Closes: #692688)
  * debian/rules:
    - README.rst was renamed
  * debian/tests/control: add zope.event
  * debian/copyright: update to copyright-format 1.0

  [ Matthias Klose ]
  * Allow cross-building the package (however dh_python[23] needs to
    get aware of cross builds).

  [ Barry Warsaw ]
  * fix_segfault_py3_64bit_LP_675064.diff: Applied upstream, removed.

  [ Arnaud Fontaine ]
  * debian/rules:
    - CHANGES.txt was renamed to CHANGES.rst.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 24 May 2013 22:23:43 +0300

zope.interface (3.6.1-3) unstable; urgency=low

  * Team upload.
  * Remove setuptools from requires.txt for Python3 (#688838) by overriding
    dh_gencontrol rather than dh_install, otherwise python3-pkg-resources is
    not added as Depends.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 26 Sep 2012 16:16:22 +0900

zope.interface (3.6.1-2) unstable; urgency=low

  * Team upload.
  * debian/rules:
    + Make sure that building fails if any python command fails.
    + Remove setuptools from requires.txt for Python3 only as dh_python2
      already take care of that. Closes: #688838.
  * debian/python-zope.interface-dbg.postinst:
    + Properly handle upgrade from Squeeze of /usr/share/doc to a symlink.
      Closes: #687878.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 26 Sep 2012 12:24:31 +0900

zope.interface (3.6.1-1) unstable; urgency=low

  * Team upload.

  [ Brian Sutherland ]
  * New version and incorporate changes from Ubuntu.
  * Enable python3 packages
  * Use dh_python2 rather than dh_pycentral (Closes: #617171)
  * Stop using python-van.pydeb as well, packages has no dependencies or
    setuptools extras.
  * Add testing scripts for python3 version of this package.
  * Backport fixes to C optimizationd from upstream LP: #675064. Reportedly
    causes a segfault on python3 and 64-bit architectures.
  * Switch to dpkg-source 3.0 (quilt) format

  [ Arnaud Fontaine ]
  * debian/control:
    + Add Vcs-Browser and rename XS-Vcs-Svn to Vcs-Svn (now supported by dpkg).
    + Bump Standards-Version to 3.9.2. No changes needed.
    + Remove deprecated XB-Python-Version.
    + Add Homepage field.
  * debian/copyright:
    + Update to last revision.

  [ Matthias Klose ]
  * The egg doesn't require setuptools. LP: #563060.
  * Call setup.py install with --install-layout=deb to install into
    the final location.

 -- Arnaud Fontaine <arnau@debian.org>  Mon, 16 May 2011 20:34:35 +0900

zope.interface (3.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Don't include C source in the package.
  * debian/copyright: update, convert to dep5 format

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 26 Aug 2010 19:40:15 +0300

zope.interface (3.5.3-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 22 Dec 2009 13:14:19 +0100

zope.interface (3.5.2-2) unstable; urgency=low

  [ Matthias Klose ]
  * Set section to zope.

  [ Brian Sutherland ]
  * Set priority to optional as we are depended on by python-zodb which is
    priority optional.

  [ Fabio Tranchitella ]
  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552973)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:07:08 +0100

zope.interface (3.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: added conflict with zope3.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 28 Aug 2009 11:47:25 +0200

zope.interface (3.5.1-5) unstable; urgency=low

  * Don't include sources files in the binary package.
  * Depend on python-pkg-resources instead of python-setuptools.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Aug 2009 09:56:37 +0200

zope.interface (3.5.1-4) unstable; urgency=low

  * Build a python-zope.interface.dbg package.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 19:40:54 +0200

zope.interface (3.5.1-3) unstable; urgency=low

  [ Michael Bienia ]
  * debian/rules:
    Use the macros from python.mk to determine the library path for python 2.5
    and python 2.6, Closes: #537581.
  * debian/control:
    Bump the needed version of python-all-dev for this.

  [ Brian Sutherland ]
  * debian/rules, debian/control: Changes to above patch to be buildable on
    Lenny. Remove the python.mk include, van.pydeb already includes this
    conditionally. Revert above bump of python-all-dev.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 20 Jul 2009 09:35:10 +0200

zope.interface (3.5.1-2) unstable; urgency=low

  * Fix maintainers/upload.
  * Use simpler van-pydep call in rules.
  * Remove python-zopeinterface metapackage as it is not needed.
  * Make watch file use pypi rather than download.zope.org.
  * Use the python-van.pydeb template for the rules file.

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 18 Jun 2009 16:11:11 +0200

zope.interface (3.5.1-1) unstable; urgency=low

  * Major re-write/update.

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 26 May 2009 19:07:43 +0000

python-zope.interface (3.4.0~b1-1) experimental; urgency=low

  * New upstream release
  * Remove use of dh_python.
  * Make rules file less strict on version numbers.
  * Add autopkgtest tests.
  * Remove previos debian specific patch adding the zope namespace
    package.

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 16 Jul 2007 09:04:34 +0200

python-zope.interface (3.3.0b2-1) experimental; urgency=low

  * Initial packaging.
  * Patch setup.py to declare the zope package as a namespace package.

 -- Brian Sutherland <jinty@web.de>  Thu, 26 Oct 2006 22:41:46 +0200
